org.apache.hc.core5.reactor

## Enum IOSession.Status

- java.lang.Object
- - java.lang.Enum<IOSession.Status>
  - - org.apache.hc.core5.reactor.IOSession.Status

- All Implemented Interfaces:
    Serializable, Comparable<IOSession.Status>
  Enclosing interface:
    IOSession

      public static enum IOSession.Status
      extends Enum<IOSession.Status>

  This enum represents a set of states I/O session transitions through during its life-span.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE`
    `CLOSED`
    `CLOSING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IOSession.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IOSession.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final IOSession.Status ACTIVE

    - #### CLOSING

          public static final IOSession.Status CLOSING

    - #### CLOSED

          public static final IOSession.Status CLOSED

  - ### Method Detail

    - #### values

          public static IOSession.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IOSession.Status c : IOSession.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IOSession.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.